com.ihr.xbrl.om.table.definition

## Class DimensionAspectNode<T>

- java.lang.Object
- - com.ihr.xbrl.om.table.definition.DimensionAspectNode<T>

- Type Parameters:
    `T` - the generic type
  All Implemented Interfaces:
    DimensionAspectInterface<T>, HasAspectNode, Aspect<DimensionAndValuePair<T>>
  Direct Known Subclasses:
    ExplicitDimensionAspectNode, TypedDimensionAspectNode

      public abstract class DimensionAspectNode<T>
      extends java.lang.Object
      implements DimensionAspectInterface<T>, HasAspectNode

  The Class DimensionAspectNode.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DimensionAspectNode<?>` | `create(XBRLAspectNode xbrlAspectNode, javax.xml.namespace.QName dimension)` Depending on the dimension type, create a explicit or typed dimension aspect node.
    `java.lang.Object` | `getAspectClashIdentity()` Returns an object that can be used to evaluate aspect clash.
    `XBRLAspectNode` | `getAspectNode()` Returns back the aspect node this resolves comes from.
    `int` | `getAspectType()` Returns a value from the CommonAspectRule class that identifies the aspect type.
    `javax.xml.namespace.QName` | `getDimension()` Gets the dimension.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.om.table.definition.DimensionAspectInterface

      `getMembersCount, resetNode`

    - ### Methods inherited from interface com.ihr.xbrl.om.table.structural.Aspect

      `getMember`

- - ### Method Detail

    - #### getAspectNode

          public XBRLAspectNode getAspectNode()

      Description copied from interface: `HasAspectNode`
      Returns back the aspect node this resolves comes from.
      Specified by:
        `getAspectNode` in interface `HasAspectNode`
      Returns:
        XBRLAspectNode

    - #### getDimension

          public javax.xml.namespace.QName getDimension()

      Description copied from interface: `DimensionAspectInterface`
      Gets the dimension.
      Specified by:
        `getDimension` in interface `DimensionAspectInterface<T>`
      Returns:
        the dimension

    - #### getAspectClashIdentity

          public java.lang.Object getAspectClashIdentity()

      Description copied from interface: `Aspect`
      Returns an object that can be used to evaluate aspect clash.
      Specified by:
        `getAspectClashIdentity` in interface `Aspect<DimensionAndValuePair<T>>`
      Returns:
        the aspect clash identity

    - #### getAspectType

          public int getAspectType()

      Description copied from interface: `Aspect`
      Returns a value from the CommonAspectRule class that identifies the aspect type.
      Specified by:
        `getAspectType` in interface `Aspect<DimensionAndValuePair<T>>`
      Returns:
        the aspect type

    - #### create

          public static DimensionAspectNode<?> create(XBRLAspectNode xbrlAspectNode,
                                      javax.xml.namespace.QName dimension)

      Depending on the dimension type, create a explicit or typed dimension aspect node.
      Parameters:
        `xbrlAspectNode` - the xbrl aspect node
        `dimension` - the dimension
      Returns:
        the dimension aspect node